.page-wrapper{
    z-index: 0;
    position: relative;
    background-color: white;
}

.section-timeline-heading{
    margin-top: var(--sectionSpace);
}

.container{
    width: 50vw;
    margin-left: auto;
    margin-right: auto;
}

.timeline_component{
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-left: auto;
    margin-right: auto;
    display: flex;
    position: relative;
    font-size: var(--textFontSize);
}

.timeline_item{
    z-index: 2;
    grid-column-gap: 0px;
    grid-row-gap: 0px;
    grid-template-rows: auto;
    grid-template-columns: 1fr 7vw 1fr;
    grid-auto-columns: 1fr;
    padding-top: var(--eltSpace);
    padding-bottom: var(--eltSpace);
    display: grid;
    position: relative;
}

.timeline_left{
    text-align: right;
    justify-content: flex-end;
    align-items: stretch;
    font-family: var(--titleFont);
    color: #e2a2ec;
}

.timeline_centre{
    justify-content: center;
    display: flex;
}

.timeline_date-text{
    position: sticky;
    top: 40vh;
}

.timeline_circle{
    background-color: #e2a2ec;
    border-radius: 100%;
    width:      1.3vw;
    height:     1.3vw;
    position: sticky;
    box-shadow: 0 0 0 0.4vw white;
    top: 40vh;
}

.timeline_progress{
    z-index: -2;
    background-color: #86618c;
    width: 0.3vw;
    height: 100%;
    position: absolute;
}

.timeline_progress-bar{
    z-index: -1;
    background: #e2a2ec;
    width: 0.3vw;
    height: 40vh;
    position: fixed;
    inset: 0 auto 40vh;
}

.section-timeline{
    z-index: -3;
    position: relative;
}

.margin-bottom-xlarge{
    margin-bottom: 56px;

    font-family: var(--textFont);
    font-weight: lighter;
    font-style: italic;
    color: #000000;
}

.overlay-fade-top{
    background-image: linear-gradient(#ffffff, #ffffff00);
    height: 6vh;
    position: absolute;
    inset: 0% 0% auto;
}

.overlay-fade-bottom{
    background-image: linear-gradient(to top, #ffffff, #ffffff00);
    height: 6vh;
    position: absolute;
    inset: auto 0% 0%;
}

@media (max-width: 750px) {
    .container{
        width: 90vw;
    }

    .timeline_item{
        grid-template-columns: 12vw 1fr;
        width: 100%;
    }

    .timeline_left{
        text-align: left;
        grid-area: 1 / 2 / 2 / 3;
    }

    .timeline_centre{
        justify-content: flex-start;
        grid-area: 1 / 1 / 3 / 2;
    }

    .timeline_circle{
        width:  4vw;
        height: 4vw;
        box-shadow: 0 0 0 1vw white;
        /*left: 25%;*/
        translate: 60%;
    }

    .timeline_right{
        grid-area: span 1 / span 1 / span 1 / span 1;
    }

    .timeline_date-text{
        margin-bottom: 2vh;
    }

    .timeline_progress{
        left: 4vw;
        width: 1.1vw;
    }

    .timeline_progress-bar{
        width: 1.1vw;
    }

    .margin-bottom-xlarge{
        margin-bottom: 3vh;
    }
}